Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.textsearch
Class TextSearchLogger

    java.lang.Object
      com.ejie.r01f.textsearch.TextSearchLogger

All Implemented Interfaces:
  TextSearchEventListener

public class TextSearchLogger
extends java.lang.Object
implements TextSearchEventListener

Escucha por los eventos de link encontrado y los traza en un fichero de log

Constructor Summary
`TextSearchLogger()` Constructor Vacio
`TextSearchLogger(SimpleLogger logger)` Constructor en base al logger

Method Summary
`void` | `beforeFileProcesed(java.util.Map context, java.lang.String fileName)` Antes de procesar un fichero
`void` | `enteringDirectory(java.util.Map context, java.lang.String dirName)` Al entrar en un directorio
`void` | `exitingDirectory(java.util.Map context, java.lang.String dirName)` Al salir de un directorio
`void` | `fileProcesed(java.util.Map context, java.lang.String fileName)` Después de procesar un fichero
`void` | `searchSuccess(java.util.Map context, java.lang.String url)` Indica que se ha encontrado un link

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSearchLogger

    public TextSearchLogger()

  Constructor Vacio

### TextSearchLogger

    public TextSearchLogger(SimpleLogger logger)

  Constructor en base al logger

Method Detail

### searchSuccess

    public void searchSuccess(java.util.Map context,
                              java.lang.String url)

  Description copied from interface: `TextSearchEventListener`
  Indica que se ha encontrado un link

  Specified by:
    `searchSuccess` in interface `TextSearchEventListener`

### beforeFileProcesed

    public void beforeFileProcesed(java.util.Map context,
                                   java.lang.String fileName)

  Description copied from interface: `TextSearchEventListener`
  Antes de procesar un fichero

  Specified by:
    `beforeFileProcesed` in interface `TextSearchEventListener`
  Parameters:
    `fileName` -

### fileProcesed

    public void fileProcesed(java.util.Map context,
                             java.lang.String fileName)

  Description copied from interface: `TextSearchEventListener`
  Después de procesar un fichero

  Specified by:
    `fileProcesed` in interface `TextSearchEventListener`
  Parameters:
    `fileName` -

### enteringDirectory

    public void enteringDirectory(java.util.Map context,
                                  java.lang.String dirName)

  Description copied from interface: `TextSearchEventListener`
  Al entrar en un directorio

  Specified by:
    `enteringDirectory` in interface `TextSearchEventListener`
  Parameters:
    `dirName` -

### exitingDirectory

    public void exitingDirectory(java.util.Map context,
                                 java.lang.String dirName)

  Description copied from interface: `TextSearchEventListener`
  Al salir de un directorio

  Specified by:
    `exitingDirectory` in interface `TextSearchEventListener`
  Parameters:
    `dirName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD